> For the complete documentation index, see [llms.txt](https://docs.8pay.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.8pay.network/api/wallet-to-wallet/transfers.md).

# Transfers

## Get a list of transfers

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/wallet-to-wallet/transfers`

#### Path Parameters

| Name  | Type   | Description                                 |
| ----- | ------ | ------------------------------------------- |
| chain | string | [chain identifier](/api/overview.md#chains) |

#### Query Parameters

| Name  | Type   | Description                                                 |
| ----- | ------ | ----------------------------------------------------------- |
| email | string | filter by email                                             |
| token | string | filter by token                                             |
| from  | string | filter by `timestamp` (default 0)                           |
| to    | string | filter by `timestamp` (default current timestamp)           |
| sort  | string | `asc` or `desc` (default `desc`), sort based on `timestamp` |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | string | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "description": "Ebook",
            "email": "**********",
            "receiver": "0xe42fD8a58A82fDF624A8a94dA03a0e44F9934Dff",
            "amount": "5.5",
            "fee": "0.05",
            "token": "8PAY",
            "payment_id": "23n9538b-1l6a-4kl6-b098-0f4gh38510k4",
            "category": "Streaming",
            "timestamp": 1582051910,
            "transactionHash": "0xfe335ee73fe51583a3549a71084f1e8e1d716b06052c0dd2bc864d15a5bb7555",
            "transactionStatus": "confirmed"
        }
    ],
    "limit": 100,
    "offset": 0,
    "total": 1
}
```

{% endtab %}
{% endtabs %}
